com.lowagie.toolbox.arguments

## Class ColorArgument

- java.lang.Object
- - com.lowagie.toolbox.arguments.AbstractArgument
  - - com.lowagie.toolbox.arguments.ColorArgument

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

      public class ColorArgument
      extends AbstractArgument

  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `description, name, pcs, tool, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorArgument()`
    `ColorArgument(AbstractTool tool, java.lang.String name, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `java.lang.Object` | `getArgument()` Gets the argument as an object.

    - ### Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `addPropertyChangeListener, firePropertyChange, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColorArgument

          public ColorArgument()

    - #### ColorArgument

          public ColorArgument(AbstractTool tool,
                       java.lang.String name,
                       java.lang.String description)

  - ### Method Detail

    - #### getArgument

          public java.lang.Object getArgument()
                                       throws java.lang.InstantiationException

      Description copied from class: `AbstractArgument`
      Gets the argument as an object.
      Overrides:
        `getArgument` in class `AbstractArgument`
      Returns:
        an object
      Throws:
        `java.lang.InstantiationException`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Specified by:
        `actionPerformed` in class `AbstractArgument`